# gihyo 2018-12 code

技術評論社でのCNNの記事の再掲載にあたって、コードの動作検証用に作成
以下の二つのコードが対象

- image\_classify.py
- char\_cnn.py

## dependency

dockerが既にシステムにインストールされて実行可能であること。

## HOW TO USE

### 準備

まずは以下のコマンドで機械学習実行用のdocker imageを作成する。

```
$ make
```

### 画像分類

`data/image`以下に学習・テスト用の画像を保存して以下のコマンドを実行

```
$ make image-classify
```

学習・テストが実行され、結果の学習済みモデルが`result/image_model.h5`として保存される。

#### 画像データ

以下を実行すると画像データをダウンロードする。

```
$ make download-image
```

このコマンドはいらすとやの男性画像・女性画像を取得して保存する。
他のデータを利用したい場合は各自で用意すること。


### テキスト分類

`data/text`以下に学習・テスト用のテキストを保存して以下のコマンドを実行

```
$ make text-classify
```

学習・テストが実行され、結果の学習済みモデルが`result/text_model.h5`として保存される。

#### テキストデータ

事前に太宰治の「人間失格」と夏目漱石の「こころ」を青空文庫から落としてきたものを保存してある。
学習を実行すると文章が太宰治っぽいか夏目漱石っぽいかを学習することになる。
他のデータを利用したい場合は各自で用意すること。
