# -*- coding:utf-8 -*-

"""
画像データダウンロードスクリプト

```
$ download_image.py man.csv woman,csv
```

いらすとやの男性画像・女性画像を落としてくる
"""

import csv
import io
import pathlib
import urllib.request

def main(opts):
    data_dir = pathlib.Path("image")

    # download image
    for csv_path in opts.files:
        path = pathlib.Path(csv_path)
        if not path.name.endswith(".csv"):
            continue
        class_name = path.name.split(".")[0]
        class_dir = data_dir / class_name
        class_dir.mkdir(parents=True, exist_ok=True)
        with open(csv_path) as f:
            reader = csv.reader(f)
            for url, in reader:
                image_name = pathlib.Path(url).name
                image_path = class_dir / image_name
                try:
                    data = urllib.request.urlopen(url).read()
                    with open(image_path, "wb") as wf:
                        wf.write(data)
                except:
                    continue


def parse_args():
    import argparse
    parser = argparse.ArgumentParser()
    parser.add_argument('files', metavar='X', type=str, nargs='+',
                        help='csv files of image data')
    return parser.parse_args()


if __name__ == "__main__":
    main(parse_args())
